#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'paket.daftar'} #{/set}

<div class="container">
#{paketTabMenu /}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb">
                <li><a href="@{BerandaCtr.index()}">&{'paket.home'}</a></li>
                <li class="active">&{'paket.daftar'}</li>
            </ol>
        #{if active_user.panitia }
            <form id="formFilter">
                <table class="table table-sm table-bordered">
                    <tr>
                        <th class="bgwarning" width="200">Kepanitiaan</th>
                        <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                    </tr>
                </table>
            </form>
        #{/if}
        #{alert /}
        #{if isAllowCreate }<a class="btn btn-success" href="@{nonlelang.PaketPlCtr.rencana_nonlelang()}">&{'paket.buat_paket'}</a>#{/if}

            <br/><br/>
            <table class="table table-sm" id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'paket.kode'}</th>
                    <th>#</th>
                    <th>&{'paket.nama_paket'}</th>
                    <th width="15%">&{'paket.status'}</th>
                    <th width="15%">&{'paket.tanggal_buat'}</th>
                    <th width="25%">&{'paket.satuan_kerja'}</th>
                    <th width="15%">&{'paket.pokja_pemilihan'}</th>
                </tr>
                </thead>
            </table>

        #{if isAllowCreateKonsolidasi}
            </form>
        #{/if}
        #{if isAllowCreate }
            <div class="bs-callout bs-callout-warning">
                &{'paket.pembuatan_tender'}
            </div>
        #{/if}
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var editPaket  = #{jsRoute @nonlelang.PaketPlCtr.edit(':id') /};
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    $(document).ready(function() {
        var table = $("#tblLelang").DataTable({
            language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
            },
            order: [[ 0, "desc"]],
            ajax: "${url.raw()}",
            columns: [
                {visible:false, render: function(data, type, row) {
                var paketId = row[0];
                var lelangId = row[5];
                var id = paketId;
                var paket = row[1];
                var lelangTipe = row[7];
                var ulang = '';
                var status = row[2];
                var pntNama = row[9];
                var aksi = ''
                if((pntNama == null || pntNama == '') && row[15] != '1') {
                    aksi += "<center><input type='checkbox' name='paketIds' class='form-control paketids' value=' " + paketId + "' /></center>"
                }

                var version = getLabelSpseVersion(row[6]);

                var flag = version.flag;
                var highlight = version.highlight;

                if(Number(row[8]) > 1)
                    ulang = '&nbsp<span class="badge  badge-warning">' + row[14] + '</span>';

                row[5] = row[4]
                row[4] = row[3]
                row[3] = '<a target="_blank" href="'+viewTahap.url({id:lelangId})+'">'+status+'</a>';
                row[6] = pntNama;
                row[1] = aksi;
                row[2] = '<a href="'+editPaket.url({id:id})+'">'+ paket +'</a>&nbsp;' +
                        '<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;' +
                        '<span class="'+highlight+'">'+ flag +'</span>'+ulang;
                // is konsolidasi = 1
                if(row[15] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[2] += '&nbsp;<span class="' + lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }
                return row[2];
            }}, {orderable:false}, null, null, null,null, {orderable:false}
            ],
        });
        $('#tblLelang_filter input').unbind();
        $('#tblLelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );

    $(document).on('click', '.paketids', function () {
        var checked = $("input[name='paketIds']:checked").length
        if(checked > 1) {
            $("#konsolidasi").prop("disabled", false);
        } else {
            $("#konsolidasi").prop("disabled", true);
        }
    })

    $(document).on('click', '#konsolidasi', function () {
        BootstrapDialog.confirm("Apakah Anda yakin untuk membuat Konsolidasi Paket?", function (ok) {
            if(ok) {
                $("form[name='konsolidasi']").submit();
            }
        })
    })

</script>
#{/set}